<!DOCTYPE html>
<!--[if lt IE 7 ]><html class="ie ie6" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 7 ]><html class="ie ie7" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 8 ]><html class="ie ie8" <?php language_attributes(); ?>> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--><html <?php language_attributes(); ?>> <!--<![endif]-->
<head>
	
	<!-- Basic Page Needs
  	================================================== -->
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<title><?php wp_title(st_option('seo_separator', '|'), true, 'right'); ?></title>
	
	<!--[if lt IE 9]>
		<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->

	<!-- Mobile Specific Metas
  	================================================== -->
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<link rel="shortcut icon" href="<?php st_option('site_favicon', SLICETHEME_IMAGES.'/favicon.ico', TRUE); ?>" type="image/x-icon" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	<link rel="alternate" type="application/rss+xml" title="<?php bloginfo( 'name' ); ?>" href="<?php bloginfo( 'rss2_url' ); ?>" />
	<link rel="alternate" type="application/atom+xml" title="<?php bloginfo( 'name' ); ?>" href="<?php bloginfo( 'atom_url' ); ?>" />
	
	<?php wp_head(); ?> <?php /* this is used by many Wordpress features and for plugins to work proporly */ ?>
	
</head>

<body <?php body_class(); ?>>

<div id="st-wrapper" class="<?php echo st_option('style_layout', 'wide'); ?>">
	
	<?php
	get_template_part( 'library/header/header-1' );
	
	if ( class_exists( 'Woocommerce') && is_woocommerce() )
	{
		return false;
	}
	else
	{		
		if ( is_front_page() || is_page() )
		{
			$general_slider = get_post_meta($post->ID, '_general_slider', TRUE);		
			if ( !empty($general_slider) ) {				
				get_template_part( 'library/header/'.$general_slider );
			}
		}
		
		$general_hidetitle = get_post_meta(@$post->ID, '_general_hidetitle', TRUE);
		if ( $general_hidetitle <> 'on' ) {				
			get_template_part( 'library/header/header-pagetitle' );
		}
	}
	?>