jQuery(function($) {

	"use strict";

    $('.post-slider').flexslider({
        smoothHeight: true,
		pauseOnHover: true,
		animation: "fade",
        controlNav: false
    });

    $('.flex-slide').flexslider({
        smoothHeight: true,
		pauseOnHover: true,
		animation: "slide",
        controlNav: false
    });

    $('.flex-fade').flexslider({
        smoothHeight: true,
		pauseOnHover: true,
		animation: "fade",
        controlNav: false
    });

    $('.testimonial-slide').flexslider({
        smoothHeight: true,
		pauseOnHover: true,
		animation: "slide",
        directionNav: false
    });

    $('.testimonial-fade').flexslider({
        smoothHeight: true,
		pauseOnHover: true,
		animation: "fade",
        directionNav: false
    });
	
	
	/*
	Header Fixed
	*/
	$(window).bind('scroll', function () {
		var windowSize = $(window).width();
		if( windowSize > 979 ) {
			if ($(this).scrollTop() > 30) {
				$('.middle-wrapper-content').addClass('fixed');
			} else {
				$('.middle-wrapper-content').removeClass('fixed');
			}
		}
		return false;
	});
	
	
	/*
	Header Cart
	*/
	$('.header-cart .cart_totals').on('click', function(e) {
		e.preventDefault();
		$('.cart-products').slideToggle();
	});


    /*
	Menu Nav
	*/
	$('ul#primary-menu li, ul#sticky-menu li').on({
		mouseenter: function() {
			$(this).children('ul').stop(true, true).slideDown(300);
		},
		mouseleave: function() {
			$(this).children('ul').slideUp(100);
		}
	});
	
	var desktopmenu = $('ul#primary-menu');
	$('<div id="mobile-container"><ul id="mobile-menu" class="mobile-menu"></ul></div>').insertAfter( desktopmenu );
	$('ul#mobile-menu').html(desktopmenu.children().clone());
	
	$('#toggle-menu').on('click', function(e) {
		e.preventDefault();
		$('#mobile-menu').slideToggle();
		$('#mobile-menu .sub-menu').slideUp();
	});
	
	$('ul#mobile-menu li.menu-parent-item > a').on('click', function(e) {
		e.preventDefault();
		$(this).toggleClass('active');
		$(this).next().slideToggle();
		$(this).parent().siblings().find('a.active').removeClass('active');
		$(this).parent().siblings().find('.sub-menu').slideUp();
	});


    /*
	Back to Top
	*/
    $(window).bind('scroll', function () {
        if ($(this).scrollTop() > 200) {
            $('.scrollTop').fadeIn();
        } else {
            $('.scrollTop').fadeOut();
        }
    });

    $('.scrollTop').click(function (e) {
        e.stopPropagation();
        $('body,html').animate({
            scrollTop: 0
        }, 800);
        return false;
    });


    /*
	PrettyPhoto
	*/
    $("a[rel^='prettyPhoto']").prettyPhoto({
        show_title: false,
        social_tools: false
    });


    /*
	FitVids
	*/
    $("body").fitVids();


    /*
	Remove Empty
	*/
	$('p:empty').remove();


	/*
	Zoom Hover
	*/
    var zoomHover = function () {
        $(".post-thumb").live({
            mouseover: function () {
                var _img = $(this).find('img'),
                    _overlay = $(this).find('.zoom-overlay'),
                    _hover = $(this).find('.zoom-hover');
                _overlay.animate({
                    'opacity': 0.6
                }, 0);
                _hover.animate({
                    bottom: '30px'
                }, 0);
            },
            mouseout: function () {
                var _img = $(this).find('img'),
                    _overlay = $(this).find('.zoom-overlay'),
                    _hover = $(this).find('.zoom-hover');
                _overlay.animate({
                    'opacity': 0
                }, 0);
                _hover.animate({
                    bottom: '-100px'
                }, 0);
            }
        });
    };
    zoomHover();


    /*
	Portfolio Filter
	*/
    $('#filters li a').click(function () {
        $('#filters li').removeClass('active');
        $(this).parent().addClass('active');
        var selector = $(this).attr('data-filter');
        $container.isotope({
            filter: selector
        });
        return false;
    });


    /*
	Portfolio List
	*/
    var $container = $('#ourHolder');
    // initialize isotope
    $container.isotope({
        animationEngine: 'best-available',
        animationOptions: {
            duration: 300,
            easing: 'easeInOutQuad',
            queue: false
        }
    });

    // Isotope Chrome Fix	
    setTimeout(function () {
        $container.isotope('reLayout');
    }, 1000);


    /*
	Shortcode Tabs
	*/
    $('.st-tabs .tab-content').hide().filter(':first').show();
    $('.st-tabs .tab-title li').filter(':first').addClass('active');
    $('.st-tabs .tab-title a').click(function (e) {
        e.preventDefault();
        $(this).parents('li').addClass('active').siblings('li.active').removeClass('active');
        var tab_id = $(this).parents('li').index();
        $(this).parents('.st-tabs').find('.tab-content').hide().siblings('.tab-content').eq(tab_id).fadeIn();
        return false;
    });


    /*
	Shortcode Toggle
	*/
    $('.st-accordion > .accordion-content').hide().filter('.open').show().prev().addClass('active');
    $(".st-accordion > .accordion-title").click(function (e) {
        e.preventDefault();
        var icons = $(this);
        var toggle = $(this).next();
        $(toggle).slideToggle('slow', function () {
            $(icons).toggleClass('active', $(this).is(':visible'));
        });
    });


    /*
	Shortcode Accordion
	*/
    var allPanels = $('.st-accordion li .accordion-content').hide();
    $('.st-accordion li .open').show().prev().addClass('active');
    $('.st-accordion li .accordion-title').click(function (e) {
        e.preventDefault();
        var icons = $(this);
        var accordion = $(this).next();
        if (!icons.hasClass('active')) {
            allPanels.prev().removeClass('active');
            allPanels.slideUp();
            icons.addClass('active');
            accordion.slideDown();
        }
        return false;
    });


    /*
	Shortcode Progress Bar
	*/
	function st_progressbar() {
		$('.st-progress .bar:in-viewport').each(function(e) {
			var currentBar = $(this);
			var w = currentBar.data('width');
			if (!currentBar.hasClass('st-scrollbar')) {
				currentBar.addClass('st-scrollbar');
				currentBar.animate({width: w + '%'}, 500);
			}
		});
	}
	
	/*
	Shortcode Animated
	*/
	function st_animated() {
		$(".st-animated:in-viewport").each(function (e) {
			var animated = $(this);
			if (!animated.hasClass('st-viewport')) {
				setTimeout(function () {
					animated.addClass('st-viewport');
				}, 200 * e);
			}
		});
	}
	
	st_progressbar();
	st_animated();
	$(window).scroll(function () {
		st_progressbar();
		st_animated();
	});

});