<?php
/** بسم الله الرحمن الرحيم **

Plugin Name: Aqua Page Builder
Plugin URI: http://aquagraphite.com/page-builder
Description: Easily create custom page templates with intuitive drag-and-drop interface. Requires PHP5 and WP3.5
Version: 1.1.1
Author: Syamil MJ
Author URI: http://aquagraphite.com

*/
 
/**
 * Copyright (c) 2013 Syamil MJ. All rights reserved.
 *
 * Released under the GPL license
 * http://www.opensource.org/licenses/gpl-license.php
 *
 * This is an add-on for WordPress
 * http://wordpress.org/
 *
 * **********************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * **********************************************************************
 */

//definitions
if(!defined('AQPB_VERSION')) define( 'AQPB_VERSION', '1.1.1' );
if(!defined('AQPB_PATH')) define( 'AQPB_PATH', ADMIN_PATH .'pagebuilder/' );
if(!defined('AQPB_DIR')) define( 'AQPB_DIR', ADMIN_DIR .'pagebuilder/' );

//required functions & classes
require_once(AQPB_PATH . 'functions/aqpb_config.php');
require_once(AQPB_PATH . 'functions/aqpb_blocks.php');
require_once(AQPB_PATH . 'classes/class-aq-page-builder.php');
require_once(AQPB_PATH . 'classes/class-aq-block.php');
//require_once(AQPB_PATH . 'classes/class-aq-plugin-updater.php');
require_once(AQPB_PATH . 'functions/aqpb_functions.php');

//some default blocks
require_once(AQPB_PATH . 'blocks/aq-column-block-span12.php');
require_once(AQPB_PATH . 'blocks/aq-column-block-span6.php');
require_once(AQPB_PATH . 'blocks/aq-column-block-span4.php');
require_once(AQPB_PATH . 'blocks/aq-column-block-span8.php');
require_once(AQPB_PATH . 'blocks/aq-column-block-span3.php');
require_once(AQPB_PATH . 'blocks/aq-column-block-span9.php');
require_once(AQPB_PATH . 'blocks/aq-column-section.php');

require_once(AQPB_PATH . 'blocks/st-heading.php');
require_once(AQPB_PATH . 'blocks/st-textbox.php');
require_once(AQPB_PATH . 'blocks/st-button.php');
require_once(AQPB_PATH . 'blocks/st-lightbox.php');
require_once(AQPB_PATH . 'blocks/st-video.php');
//require_once(AQPB_PATH . 'blocks/st-icon.php');
require_once(AQPB_PATH . 'blocks/st-messagebox.php');
require_once(AQPB_PATH . 'blocks/st-ctabox.php');
require_once(AQPB_PATH . 'blocks/st-iconbox.php');
require_once(AQPB_PATH . 'blocks/st-blog.php');
require_once(AQPB_PATH . 'blocks/st-portfolio.php');
require_once(AQPB_PATH . 'blocks/st-team.php');
require_once(AQPB_PATH . 'blocks/st-job.php');
require_once(AQPB_PATH . 'blocks/st-testimonial.php');
require_once(AQPB_PATH . 'blocks/st-testimonial-slider.php');
require_once(AQPB_PATH . 'blocks/st-client.php');
require_once(AQPB_PATH . 'blocks/st-faq.php');
require_once(AQPB_PATH . 'blocks/st-pricing.php');
require_once(AQPB_PATH . 'blocks/st-gmap.php');
require_once(AQPB_PATH . 'blocks/st-contact.php');

require_once(AQPB_PATH . 'blocks/st-flexslider.php');
require_once(AQPB_PATH . 'blocks/st-tabs.php');
require_once(AQPB_PATH . 'blocks/st-toggle.php');
require_once(AQPB_PATH . 'blocks/st-accordion.php');
require_once(AQPB_PATH . 'blocks/st-iconlist.php');
require_once(AQPB_PATH . 'blocks/st-historylist.php');
require_once(AQPB_PATH . 'blocks/st-social.php');
require_once(AQPB_PATH . 'blocks/st-progress.php');

require_once(AQPB_PATH . 'blocks/st-clear.php');
require_once(AQPB_PATH . 'blocks/st-space.php');
require_once(AQPB_PATH . 'blocks/st-divider.php');

//register default blocks
aq_register_block('AQ_Column_Block_Span12');
aq_register_block('AQ_Column_Block_Span6');
aq_register_block('AQ_Column_Block_Span4');
aq_register_block('AQ_Column_Block_Span8');
aq_register_block('AQ_Column_Block_Span3');
aq_register_block('AQ_Column_Block_Span9');
aq_register_block('AQ_Section_Block');

aq_register_block('AQ_Heading_Block');
aq_register_block('AQ_Textbox_Block');
aq_register_block('AQ_Button_Block');
aq_register_block('AQ_Lightbox_Block');
aq_register_block('AQ_Video_Block');
//aq_register_block('AQ_Icon_Block');
aq_register_block('AQ_Messagebox_Block');
aq_register_block('AQ_Ctabox_Block');
aq_register_block('AQ_Iconbox_Block');
aq_register_block('AQ_Blog_Block');
aq_register_block('AQ_Portfolio_Block');
aq_register_block('AQ_Team_Block');
aq_register_block('AQ_Job_Block');
aq_register_block('AQ_Testimonial_Block');
aq_register_block('AQ_Testimonialslider_Block');
aq_register_block('AQ_Client_Block');
aq_register_block('AQ_FAQ_Block');
aq_register_block('AQ_Pricing_Block');
aq_register_block('AQ_gmap_Block');
aq_register_block('AQ_Contact_Block');

aq_register_block('AQ_Flexslider_Block');
aq_register_block('AQ_Tabs_Block');
aq_register_block('AQ_Toggle_Block');
aq_register_block('AQ_Accordion_Block');
aq_register_block('AQ_Iconlist_Block');
aq_register_block('AQ_Historylist_Block');
aq_register_block('AQ_Social_Block');
aq_register_block('AQ_Progress_Block');

aq_register_block('AQ_Clear_Block');
aq_register_block('AQ_Space_Block');
aq_register_block('AQ_Divider_Block');

if ( class_exists( 'Woocommerce') ) 
{
	require_once(AQPB_PATH . 'blocks/st-woocat.php');
	require_once(AQPB_PATH . 'blocks/st-wooall.php');
	require_once(AQPB_PATH . 'blocks/st-woorecent.php');
	require_once(AQPB_PATH . 'blocks/st-woofeatured.php');
	
	aq_register_block('AQ_Woo_Cat_Block');
	aq_register_block('AQ_Woo_All_Block');
	aq_register_block('AQ_Woo_Recent_Block');
	aq_register_block('AQ_Woo_Featured_Block');
}

//fire up page builder
$aqpb_config = aq_page_builder_config();
$aq_page_builder =& new AQ_Page_Builder($aqpb_config);
if(!is_network_admin()) $aq_page_builder->init();

/** @legacy
//set up & fire up plugin updater
$aqpb_updater_config = array(
	'api_url'	=> 'http://aquagraphite.com/api/',
	'slug'		=> 'aqua-page-builder',
	'filename'	=> 'aq-page-builder.php'
);
$aqpb_updater = new AQ_Plugin_Updater($aqpb_updater_config);
*/
