(function ()
{
	// create zillaShortcodes plugin
	tinymce.create("tinymce.plugins.zillaShortcodes",
	{
		init: function ( ed, url )
		{
			ed.addCommand("zillaPopup", function ( a, params )
			{
				var popup = params.identifier;
				
				// load thickbox
				tb_show("SliceTheme Shortcode", url + "/popup.php?popup=" + popup + "&width=" + 800);
			});
		},
		createControl: function ( btn, e )
		{
			if ( btn == "zilla_button" )
			{	
				var a = this;
				
				var btn = e.createSplitButton('zilla_button', {
                    title: "Insert Shortcode",
					image: ZillaShortcodes.plugin_folder +"/tinymce/images/icon.png",
					icons: false
                });

                btn.onRenderMenu.add(function (c, b)
				{
					c = b.addMenu( {title:"Columns"} );
						a.addImmediate( c, '1/2 + 1/2', 			'[row] <br /> [one_half] ..... [/one_half] <br /> [one_half] ..... [/one_half] <br /> [/row] <br /><br />' );
						a.addImmediate( c, '1/3 + 2/3', 			'[row] <br /> [one_third] ..... [/one_third] <br /> [two_third] ..... [/two_third] <br /> [/row] <br /><br />' );
						a.addImmediate( c, '2/3 + 1/3', 			'[row] <br /> [two_third] ..... [/two_third] <br /> [one_third] ..... [/one_third] <br /> [/row] <br /><br />' );
						a.addImmediate( c, '1/3 + 1/3 + 1/3', 		'[row] <br /> [one_third] ..... [/one_third] <br /> [one_third] ..... [/one_third] <br /> [one_third] ..... [/one_third] <br /> [/row] <br /><br />' );
						a.addImmediate( c, '1/4 + 3/4', 			'[row] <br /> [one_fourth] ..... [/one_fourth] <br /> [three_fourth] ..... [/three_fourth] <br /> [/row] <br /><br />' );
						a.addImmediate( c, '3/4 + 1/4', 			'[row] <br /> [three_fourth] ..... [/three_fourth] <br /> [one_fourth] ..... [/one_fourth] <br /> [/row] <br /><br />' );
						a.addImmediate( c, '1/4 + 1/2 + 1/4', 		'[row] <br /> [one_fourth] ..... [/one_fourth] <br /> [one_half] ..... [/one_half] <br /> [one_fourth] ..... [/one_fourth] <br /> [/row] <br /><br />' );
						a.addImmediate( c, '1/4 + 1/4 + 1/4 + 1/4',	'[row] <br /> [one_fourth] ..... [/one_fourth] <br /> [one_fourth] ..... [/one_fourth] <br /> [one_fourth] ..... [/one_fourth] <br /> [one_fourth] ..... [/one_fourth] <br /> [/row] <br /><br />' );
						
					c = b.addMenu( {title:"Typography"} );
						a.addWithPopup( c, 'Heading', 		'heading' );
						a.addWithPopup( c, 'Blockquote', 	'blockquote' );
						a.addImmediate( c, 'Highlight',		'[highlight] YOUR TEXT HERE [/highlight] ' );
						a.addImmediate( c, 'Dropcap 1',		'[dropcap] YOUR TEXT HERE [/dropcap] ' );
						a.addImmediate( c, 'Dropcap 2',		'[dropcap2] YOUR TEXT HERE [/dropcap2] ');
						
					c = b.addMenu( {title:"Divider"} );
						a.addImmediate( c, 'Divider',	'[divider] <br /><br />' );
						a.addImmediate( c, 'Space',		'[space height="30"] <br /><br />' );
						a.addImmediate( c, 'Clearfix',	'[clear] <br /><br />' );
						
					c = b.addMenu( {title:"Media"} );
						a.addWithPopup( c, 'Lightbox',		'lightbox' );
						a.addWithPopup( c, 'Video',			'video' );
						a.addWithPopup( c, 'Flexslider',	'flexslider' );
						
					c = b.addMenu( {title:"Tabs &amp; Accordions"} );
						a.addWithPopup( c, 'Tabs',		'tabs' );
						a.addWithPopup( c, 'Toggle',	'toggle' );
						a.addWithPopup( c, 'Accordion',	'accordion' );
						
					c = b.addMenu( {title:"Post Type Shortcode"} );
						a.addWithPopup( c, 'Blog List', 			'blog' );
						a.addWithPopup( c, 'Portfolio List', 		'portfolio' );
						a.addWithPopup( c, 'Team List', 			'team' );
						a.addWithPopup( c, 'Job List', 				'job' );
						a.addWithPopup( c, 'Testimonial List', 		'testimonial' );
						a.addWithPopup( c, 'Testimonial Slider', 	'testimonial_slider' );
						a.addWithPopup( c, 'Client List', 			'client' );
						a.addWithPopup( c, 'Pricing Table List', 	'pricing' );
						a.addWithPopup( c, 'FAQ List', 				'faq' );
						
					a.addWithPopup( b, 'Buttons', 				'button' );
					a.addImmediate( b, 'More Link', 			'[readmore page_id="0" url="#"] ..... [/readmore] <br /><br />' );		
					a.addWithPopup( b, 'Icon',					'icon' );
					a.addWithPopup( b, 'Icon List',				'iconlist' );				
					a.addWithPopup( b, 'History List',			'historylist' );	
					a.addWithPopup( b, 'Message Box',			'messagebox' );						
					a.addWithPopup( b, 'Call to Action Box',	'ctabox' );
					a.addWithPopup( b, 'Icon Box',				'iconbox' );
					a.addWithPopup( b, 'Social Icon',			'social' );
					a.addWithPopup( b, 'Progress Bar',			'progress' );
					a.addWithPopup( b, 'Google Map', 			'gmap' );
					a.addWithPopup( b, 'Contact Form',			'contact' );
				});
                
                return btn;
			}
			
			return null;
		},
		addWithPopup: function ( ed, title, id ) {
			ed.add({
				title: title,
				onclick: function () {
					tinyMCE.activeEditor.execCommand("zillaPopup", false, {
						title: title,
						identifier: id
					})
				}
			})
		},
		addImmediate: function ( ed, title, sc) {
			ed.add({
				title: title,
				onclick: function () {
					tinyMCE.activeEditor.execCommand( "mceInsertContent", false, sc )
				}
			})
		},
		getInfo: function () {
			return {
				longname: 'Zilla Shortcodes',
				author: 'Orman Clark',
				authorurl: 'http://themeforest.net/user/ormanclark/',
				infourl: 'http://wiki.moxiecode.com/',
				version: "1.0"
			}
		}
	});
	
	// add zillaShortcodes plugin
	tinymce.PluginManager.add("zillaShortcodes", tinymce.plugins.zillaShortcodes);
})();