<!-- header -->
<?php $header_class = ( is_front_page() ) ? 'header-home' : 'header-other'; ?>
<header id="header" class="<?php echo $header_class; ?>">
	
	<div id="top-wrapper">
        
        <div class="container">
		<div class="row-fluid">
				
			<div class="span5">
				<?php if ( st_option('interface_social') == 1 ) { ?>
					<div class="header-social">
						<?php echo slicetheme_socials(); ?>
					</div>
				<?php } ?>
			</div>
            
            <div class="span7">
			<div class="pull-right">
				<?php
				if ( st_option('interface_callus') == 1 ) {
					?>
					<div class="header-call">
						<ul class="inline">
							<li><i class="icon-phone"></i><span><?php echo st_option('interface_callus_phone'); ?></span></li>
							<li><i class="icon-envelope"></i><span><a href="mailto:<?php echo st_option('interface_callus_email'); ?>"><?php echo st_option('interface_callus_email'); ?></a></span></li>
						</ul>                        
					</div>
					<?php
				}
				?>
				<?php if ( defined('ICL_SITEPRESS_VERSION') && st_option('interface_lang') == 1 ) { ?>
					<div class="header-lang">
						<?php do_action('icl_language_selector'); ?> 
					</div>
				<?php } ?>
				<?php
				if ( class_exists( 'Woocommerce') && st_option('interface_woo') == 1 ) {
					global $woocommerce;
					?>
					<div class="header-cart">
						<div class="cart-info">
							<i class="icon-shopping-cart"></i> <a class="cart_totals" title="<?php _e('View your shopping cart', 'woothemes'); ?>"> <?php echo $woocommerce->cart->get_cart_total(); ?></a>
						</div>
						<div class="woocommerce cart-products hide">
							<div class="widget_shopping_cart_content"></div>
						</div>
					</div>
				<?php } ?>
            </div>
			</div>
            
		</div>
		</div>
	
	</div>
	
	<div id="middle-wrapper">
	
		<div class="middle-wrapper-content">
			<div class="container">
				<div class="row-fluid">
				
					<div class="span12">
						<div class="logo">
							<a href="<?php echo home_url('/'); ?>" title="<?php bloginfo('name'); ?>">
								<img class="logo-standar" width="<?php echo st_option('site_logo_width'); ?>" height="<?php echo st_option('site_logo_height'); ?>" src="<?php st_option('site_logo', SLICETHEME_IMAGES.'/logo.png', TRUE); ?>" alt="<?php bloginfo('name'); ?>" />
								<img class="logo-retina" width="<?php echo st_option('site_logo_width'); ?>" height="<?php echo st_option('site_logo_height'); ?>" src="<?php st_option('site_logo_retina', SLICETHEME_IMAGES.'/logo@2x.png', TRUE); ?>" alt="<?php bloginfo('name'); ?>" />
							</a>
						</div>
						<nav id="primary-nav">
							<a id="toggle-menu"><?php _e('Menu', 'slicetheme'); ?><span class="toggle-icon"></span></a>
							<?php 
							if ( has_nav_menu('primary') ) {
								wp_nav_menu( array( 'menu_id' => 'primary-menu', 'menu_class' => 'primary-menu inline', 'theme_location' => 'primary', 'walker' => new Slicetheme_Walker() ) );
							}
							?>
						</nav>
					</div>
				</div>
			</div>
		</div>
	
	</div>
	
</header>
<!-- end header -->