<?php

global $st_imgsize;

if (have_posts()) :	while (have_posts()) : the_post();
	?>
	
	<!-- post entry -->
	<article id="post-<?php the_ID(); ?>" <?php post_class('blog-list clearfix'); ?>>
		
		<div class="row-fluid">
		
			<div class="span3">
                
				<div class="post-group">
				
					<?php
					switch ( get_post_format() ):
						case 'gallery':
							$post_icon = 'picture';
						break;
						case 'video':
							$post_icon = 'play';
						break;
						case 'audio':
							$post_icon = 'music';
						break;
						case 'quote':
							$post_icon = 'quote-left';
						break;
						case 'standar':
						default:
							$post_icon = 'pencil';
						break;
					endswitch;
					?>
					<span class="category-icon"><i class="icon-<?php echo $post_icon; ?>"></i></span>
												   
					<div class="post-meta">
						<?php if ( st_option('interface_post_date') == 1 ) { ?>
						<span class="post-date">
							<i class="icon-time"></i><?php the_time('M j, Y'); ?>
						</span>
						<?php } ?>
						
						<?php if ( st_option('interface_post_author') == 1 ) { ?>
						<span class="post-author">
							<i class="icon-user"></i><?php the_author_posts_link(); ?>
						</span>
						<?php } ?>
						
						<?php if ( st_option('interface_post_category') == 1 ) { ?>
						<span class="post-category">
							<i class="icon-tags"></i><?php the_category(', '); ?>
						</span>
						<?php } ?>
						
						<?php if ( st_option('interface_post_comments') == 1 ) { ?>
						<span class="post-comment">
							<i class="icon-comments"></i><?php comments_popup_link(__('No Comment', 'slicetheme' ), __('1 Comment', 'slicetheme'), __('% Comments', 'slicetheme' )); ?>
						</span>
						<?php } ?>
					</div>
				
				</div>
                
            </div>
            
			<div class="span9">
				
				<?php
				switch ( get_post_format() ):
					case 'gallery':				
						$post_content = get_the_content();
						preg_match('/\[gallery.*ids=.(.*).\]/', $post_content, $ids);
						$array_id = explode(",", $ids[1]);
						
						$args = array('include'			=> $array_id, 
									  'post_status'		=> 'inherit', 
									  'post_type'		=> 'attachment', 
									  'post_mime_type'	=> 'image', 
									  'order'			=> 'ASC', 
									  'orderby'			=> 'menu_order ID');
						$attachments = array_values( get_posts($args) );
						if ( is_array($attachments) ) {
							?>
							<div class="flexslider post-slider">
								<ul class="slides">
									<?php foreach ( $attachments as $k => $attachment ) { $image = wp_get_attachment_image_src($attachment->ID, 'full'); ?>
									<li><?php slicetheme_resizer($image[0], $st_imgsize['blog']['w'], NULL, false); ?></li>
									<?php } ?>
								</ul>
							</div>
							<?php
						}
					break;
					case 'video':
						$blog_video = get_post_meta(get_the_ID(), '_blog_video', TRUE);
						$blog_video_embed = get_post_meta(get_the_ID(), '_blog_video_embed', TRUE);				
						if ( !empty($blog_video) || !empty($blog_video_embed) ) {
							echo '<div class="post-media">';
							if ( !empty($blog_video) ) {
								slicetheme_video($blog_video);
							}
							elseif ( !empty($blog_video_embed) ) {
								echo $blog_video_embed;
							}
							echo '</div>';
						}
					break;
					case 'audio':
						$blog_audio = array(
										'url' => get_post_meta(get_the_ID(), '_blog_audio', TRUE),
										'iframe' => 'true',
										'width' => '100%',
										'height' => 166,
										'auto_play' => 'false',
										'show_comments' => 'true',
										'color' => 'ff7700',
										'theme_color' => 'ff6699',
										);
						if ( !empty($blog_audio) ) {
							echo '<div class="post-media">';
							echo '<div class="st-soundcloud"><iframe width="100%" height="166" scrolling="no" src="http://w.soundcloud.com/player?'. http_build_query($blog_audio) .'"></iframe></div>';
							echo '</div>';
						}
					break;
					case 'quote':
						$blog_quote = get_post_meta(get_the_ID(), '_blog_quote', TRUE);
						$blog_quote_author = get_post_meta(get_the_ID(), '_blog_quote_author', TRUE);
						if ( !empty($blog_quote) ) {
							?>
							<div class="post-quote">
								<blockquote>
									<p>
									<?php echo $blog_quote; ?>
									<cite><?php echo $blog_quote_author; ?></cite>
									</p>
								</blockquote>
							</div>
							<?php
						}
					break;
					case 'standar':
					default:
						if ( current_theme_supports('post-thumbnails') && has_post_thumbnail() ) {
							$thumbURL = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), '');
							$thumbURL = $thumbURL[0];
							?>
							<div class="post-thumb">
								<a class="zoom" href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
									<?php slicetheme_resizer($thumbURL, $st_imgsize['blog']['w'], NULL, false); ?>
									<span class="zoom-overlay"></span>
									<span class="zoom-hover"></span>
								</a>
							</div>
							<?php
						}
					break;
				endswitch;
				?>
				
				<h3 class="post-title"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" rel="bookmark"><?php the_title(); ?></a></h3>
				
				<div class="post-excerpt">
					<?php
					if ( st_option('interface_excerpt') == 1 ) {
						echo slicetheme_excerpt(25);
					}
					else {
						global $more;
						$more = 0;
						the_content('');
					}		
					?>
					<p><a class="more-link" href="<?php the_permalink() ?>"><span><?php _e('Read more', 'slicetheme'); ?></span></a></p>
				</div>
			
			</div>
			
		</div>		
		
	</article>
	<!-- end post entry -->
	
	<?php
endwhile; endif;
