<?php

global $portfolio_cfg;

if (have_posts()) :	while (have_posts()) : the_post();
	
	$terms = get_the_terms(get_the_ID(), 'portfolio-category');
	
	$datatype = array();
	foreach ( $terms as $term ) {
		$datatype[] = $term->slug;
	}
	$datatype = implode(' ', $datatype);
	
	$the_category = get_the_term_list(get_the_ID(), 'portfolio-category', '', ', ', '');
			
	$portfolio_lightbox = get_post_meta(get_the_ID(), '_portfolio_lightbox', TRUE);
	$portfolio_type = get_post_meta(get_the_ID(), '_portfolio_type', TRUE);
	$portfolio_image = get_post_meta(get_the_ID(), '_portfolio_image', TRUE);
	$portfolio_video = get_post_meta(get_the_ID(), '_portfolio_video', TRUE);
	$portfolio_video_thumb = get_post_meta(get_the_ID(), '_portfolio_video_thumb', TRUE);
	$portfolio_slider = get_post_meta(get_the_ID(), '_portfolio_slider', TRUE);
	
	$prettyPhoto = ( $portfolio_lightbox == 1 ) ? 'rel="prettyPhoto"' : '';
	?>

	<!-- portfolio entry -->
	<article id="post-<?php the_ID(); ?>" <?php post_class('portfolio-list '.$portfolio_cfg['section_class'].' '.$datatype); ?>>
	
		<div class="portfolio-container">
					
			<?php
			switch ($portfolio_type):
				case 'image':
					if ( !empty($portfolio_image) ) {
						$work_url = ( $portfolio_lightbox == 1 ) ? $portfolio_image : get_permalink();
						$work_hover = ( $portfolio_lightbox == 1 ) ? 'image' : '';
						?>
						<div class="post-thumb">
							<a class="zoom" href="<?php echo $work_url; ?>" title="<?php the_title(); ?>" <?php echo $prettyPhoto; ?>>
								<?php slicetheme_resizer($portfolio_image, $portfolio_cfg['thumb_width'], $portfolio_cfg['thumb_height']); ?>
								<span class="zoom-overlay"></span>
								<span class="zoom-hover <?php echo $work_hover; ?>"><i class="icon-camera"></i></span>
							</a>
						</div>
						<?php
					}
				break;
				case 'video':
					if ( !empty($portfolio_video) ) {
						if ( !empty($portfolio_video_thumb) ) {
						$work_url = ( $portfolio_lightbox == 1 ) ? $portfolio_video : get_permalink();
						$work_hover = ( $portfolio_lightbox == 1 ) ? 'video' : '';
						?>
						<div class="post-thumb">
							<a class="zoom" href="<?php echo $work_url; ?>" title="<?php the_title(); ?>" <?php echo $prettyPhoto; ?>>
								<?php slicetheme_resizer($portfolio_video_thumb, $portfolio_cfg['thumb_width'], $portfolio_cfg['thumb_height']); ?>
								<span class="zoom-overlay"></span>
								<span class="zoom-hover <?php echo $work_hover; ?>"><i class="icon-facetime-video"></i></span>
							</a>
						</div>
						<?php
						}
					}
				break;
				case 'slider':
					if ( !empty($portfolio_slider) ) {
						$work_url = ( $portfolio_lightbox == 1 ) ? $portfolio_slider[0] : get_permalink();
						$work_hover = ( $portfolio_lightbox == 1 ) ? 'image' : '';
						?>
						<div class="post-thumb">
							<a class="zoom" href="<?php echo $work_url; ?>" title="<?php the_title(); ?>" <?php echo $prettyPhoto; ?>>
								<?php slicetheme_resizer($portfolio_slider[0], $portfolio_cfg['thumb_width'], $portfolio_cfg['thumb_height']); ?>
								<span class="zoom-overlay"></span>
								<span class="zoom-hover <?php echo $work_hover; ?>"><i class="icon-bolt"></i></span>
							</a>
						</div>
						<?php
					}
				break;
			endswitch;
			?>
				
			<div class="portfolio-inner">
				<h3 class="post-title"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" rel="bookmark"><?php the_title(); ?></a></h3>
				<div class="post-category"><?php echo get_the_term_list(get_the_ID(), 'portfolio-category', '', ' , ', ''); ?></div>
			</div>
		
		</div>
		
	</article>
	<!-- end portfolio entry -->
		
	<?php
endwhile; endif;
