<?php

global $st_imgsize;

if (have_posts()) :	while (have_posts()) : the_post();
	?>
	
	<!-- post entry -->
	<article id="post-<?php the_ID(); ?>" <?php post_class('blog-single clearfix'); ?>>
		
		<div class="post-group">
			
			<?php
			switch ( get_post_format() ):
				case 'gallery':				
					$post_content = get_the_content();
					preg_match('/\[gallery.*ids=.(.*).\]/', $post_content, $ids);
					$array_id = explode(",", $ids[1]);
					
					$args = array('include'			=> $array_id, 
								  'post_status'		=> 'inherit', 
								  'post_type'		=> 'attachment', 
								  'post_mime_type'	=> 'image', 
								  'order'			=> 'ASC', 
								  'orderby'			=> 'menu_order ID');
					$attachments = array_values( get_posts($args) );
					if ( is_array($attachments) ) {
						?>
						<div class="flexslider post-slider">
							<ul class="slides">
								<?php foreach ( $attachments as $k => $attachment ) { $image = wp_get_attachment_image_src($attachment->ID, 'full'); ?>
								<li><a href="<?php echo $image[0]; ?>" title="<?php echo get_the_title(); ?>" rel="prettyPhoto[blog_item]"><?php slicetheme_resizer($image[0], $st_imgsize['blog']['w'], NULL, false); ?></a></li>
								<?php } ?>
							</ul>
						</div>
						<?php
					}
				break;
				case 'video':
					$blog_video = get_post_meta(get_the_ID(), '_blog_video', TRUE);
					$blog_video_embed = get_post_meta(get_the_ID(), '_blog_video_embed', TRUE);				
					if ( !empty($blog_video) || !empty($blog_video_embed) ) {
						echo '<div class="post-media">';
						if ( !empty($blog_video) ) {
							slicetheme_video($blog_video);
						}
						elseif ( !empty($blog_video_embed) ) {
							echo $blog_video_embed;
						}
						echo '</div>';
					}
				break;
				case 'audio':
					$blog_audio = array(
									'url' => get_post_meta(get_the_ID(), '_blog_audio', TRUE),
									'iframe' => 'true',
									'width' => '100%',
									'height' => 166,
									'auto_play' => 'false',
									'show_comments' => 'true',
									'color' => 'ff7700',
									'theme_color' => 'ff6699',
									);
					if ( !empty($blog_audio) ) {
						echo '<div class="post-media">';
						echo '<div class="st-soundcloud"><iframe width="100%" height="166" scrolling="no" src="http://w.soundcloud.com/player?'. http_build_query($blog_audio) .'"></iframe></div>';
						echo '</div>';
					}
				break;
				case 'quote':
					$blog_quote = get_post_meta(get_the_ID(), '_blog_quote', TRUE);
					$blog_quote_author = get_post_meta(get_the_ID(), '_blog_quote_author', TRUE);
					if ( !empty($blog_quote) ) {
						?>
						<div class="post-quote">
							<blockquote>
								<p>
								<?php echo $blog_quote; ?>
								<cite><?php echo $blog_quote_author; ?></cite>
								</p>
							</blockquote>
						</div>
						<?php
					}
				break;
				case 'standar':
				default:
					if ( current_theme_supports('post-thumbnails') && has_post_thumbnail() ) {
						$thumbURL = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), '');
						$thumbURL = $thumbURL[0];
						?>
						<div class="post-thumb">
							<a class="zoom" href="<?php echo $thumbURL; ?>" title="<?php echo get_the_title(); ?>" rel="prettyPhoto">
								<?php slicetheme_resizer($thumbURL, $st_imgsize['blog']['w'], NULL, false); ?>
								<span class="zoom-overlay"></span>
								<span class="zoom-hover"></span>
							</a>
						</div>
						<?php
					}
				break;
			endswitch;
			?>
			
			<div class="post-meta">
				<?php if ( st_option('interface_post_date') == 1 ) { ?>
				<span class="post-date">
					<i class="icon-time"></i><?php the_time('M j, Y'); ?>
				</span>
				<?php } ?>
				
				<?php if ( st_option('interface_post_author') == 1 ) { ?>
				<span class="post-author">
					<i class="icon-user"></i><?php the_author_posts_link(); ?>
				</span>
				<?php } ?>
				
				<?php if ( st_option('interface_post_category') == 1 ) { ?>
				<span class="post-category">
					<i class="icon-tags"></i><?php the_category(', '); ?>
				</span>
				<?php } ?>
				
				<?php if ( st_option('interface_post_comments') == 1 ) { ?>
				<span class="post-comment">
					<i class="icon-comments"></i><?php comments_popup_link(__('No Comment', 'slicetheme' ), __('1 Comment', 'slicetheme'), __('% Comments', 'slicetheme' )); ?>
				</span>
				<?php } ?>
			</div>
		
		</div>
		
		<div class="post-content">
			<?php the_content(); ?>		
			<div class="clearfix"></div>
			<?php
			wp_link_pages(array('before' => '<div class="pagination"><strong>'.__('Pages', 'slicetheme').'</strong> : ', 'after' => '</div>', 'next_or_number' => 'number'));
			if ( st_option('interface_post_tags') == 1 ) {
				the_tags('<div class="blog-tags"><strong>'.__('Tags', 'slicetheme').' : </strong>', ', ', '</div>');
			}
			if ( st_option('interface_editing') == 1 ) {
				edit_post_link(__('Edit Page', 'slicetheme'), '<div class="edit-link">', '</div>');
			}
			?>
		</div>
		
		<!-- post nav -->
		<div class="post-nav">
			<?php previous_post_link('<div class="post-prev">%link</div>'); ?>
			<?php next_post_link('<div class="post-next">%link</div>'); ?>
		</div>
		<!-- end post nav -->
		
		<?php comments_template(); ?>
		
	</article>
	<!-- end post entry -->
		
	<?php
endwhile; endif;
