<?php

/*******************************************************************
Columns
********************************************************************/
function slicetheme_row($atts, $content = null)
{
	$out = '<div class="row-fluid">'. wpautop( do_shortcode($content) ) .'</div>';
	return $out;
}
function slicetheme_columns($atts, $content = null, $code = '')
{	
	$columns = array();
	$columns['one_half']	= 'span6';
	$columns['one_third']	= 'span4';
	$columns['two_third']	= 'span8';
	$columns['one_fourth']	= 'span3';
	$columns['three_fourth']= 'span9';
	
	$columns['nested_one_half']		= 'span6';
	$columns['nested_one_third']	= 'span4';
	$columns['nested_two_third']	= 'span8';
	$columns['nested_one_fourth']	= 'span3';
	$columns['nested_three_fourth']	= 'span9';
	
	$codetoclass = $columns[$code];
	
	$out = '<div class="st-column '. $codetoclass .'">'. wpautop( do_shortcode($content) ) .'</div>';
	return $out;
}
add_shortcode('row', 'slicetheme_row');
add_shortcode('one_half', 'slicetheme_columns');
add_shortcode('one_third', 'slicetheme_columns');
add_shortcode('two_third', 'slicetheme_columns');
add_shortcode('one_fourth', 'slicetheme_columns');
add_shortcode('three_fourth', 'slicetheme_columns');
add_shortcode('nested_row', 'slicetheme_row');
add_shortcode('nested_one_half', 'slicetheme_columns');
add_shortcode('nested_one_third', 'slicetheme_columns');
add_shortcode('nested_two_third', 'slicetheme_columns');
add_shortcode('nested_one_fourth', 'slicetheme_columns');
add_shortcode('nested_three_fourth', 'slicetheme_columns');


/*******************************************************************
Text Box
********************************************************************/
function slicetheme_textbox($atts, $content = null)
{	
	extract(shortcode_atts(array(
		'animation' => 'none',
		'align' => 'left'
	), $atts));
	
	$attstoanime = '';
	if ( $animation <> '' && $animation <> 'none' ) $attstoanime = 'st-animated '. $animation;
	
	$attstoclass = '';
	if ( $align == 'left' || $align == 'center' || $align == 'right' ) $attstoclass = 'text-'. $align;
	
	$out = '<div class="st-textbox '. $attstoanime .' '. $attstoclass .'">'. wpautop( do_shortcode($content) ) .'</div>';
	return $out;
}
add_shortcode('textbox', 'slicetheme_textbox');


/*******************************************************************
Blockquote
********************************************************************/
function slicetheme_blockquote($atts, $content = null)
{	
	extract(shortcode_atts(array(
		'align' => ''
	), $atts));
	
	$attstoclass = '';
	if ( $align == 'left' || $align == 'right' ) $attstoclass = ' class="pull-'. $align .'"';
	
	$out = '<blockquote'. $attstoclass .'>'. wpautop( do_shortcode($content) ) .'</blockquote>';
	return $out;
}
add_shortcode('blockquote', 'slicetheme_blockquote');


/*******************************************************************
Highlight + Dropcaps
********************************************************************/
function slicetheme_highcapflags($atts, $content = null, $code = '')
{
	extract(shortcode_atts(array(
		'color' => ''
	), $atts));
	
	$out = '';	
	if ( $code == 'highlight' ) {
		$out.= '<span class="st-'. $code .' '. $color .'">'. $content .'</span>';
	}
	elseif ( $code == 'dropcap' || $code == 'dropcap2' ) {
		$out.= '<span class="st-'. $code .'">'. $content .'</span>';
	}	
	return $out;
}
add_shortcode('highlight', 'slicetheme_highcapflags');
add_shortcode('dropcap', 'slicetheme_highcapflags');
add_shortcode('dropcap2', 'slicetheme_highcapflags');


/*******************************************************************
Divider + Space + Clear
********************************************************************/
function slicetheme_divider($atts, $content = null, $code = '')
{	
	extract(shortcode_atts(array(
		'height' => '30'
	), $atts));
	
	$out = '<div class="clearfix"></div>';
	if ( $code == 'space' ) {
		$out.= '<div style="height:'. $height .'px;"></div>';
	}
	elseif ( $code == 'divider' ) {
		$out.= '<div class="st-'. $code .'"></div>';
	}	
	return $out;
}
add_shortcode('divider', 'slicetheme_divider');
add_shortcode('space', 'slicetheme_divider');
add_shortcode('clear', 'slicetheme_divider');


/*******************************************************************
Heading
********************************************************************/
function slicetheme_heading($atts, $content = null)
{	
	extract(shortcode_atts(array(
		'align' => 'left'
	), $atts));
	
	$attstoclass = '';
	if ( $align == 'left' || $align == 'center' || $align == 'right' ) $attstoclass = 'text-'. $align;
	
	$out = '<h3 class="st-heading '. $attstoclass .'"><span>'. strip_tags($content) .'</span></h3>';
	return $out;
}
add_shortcode('heading', 'slicetheme_heading');


/*******************************************************************
Buttons
********************************************************************/
function slicetheme_button($atts, $content = null)
{	
	extract(shortcode_atts(array(
		'icon' => '',
		'size' => 'small',
		'color' => '',
		'url' => '#'
	), $atts));
	
	$attstoclass = '';
	if ( !empty($icon) ) $attstoclass = '<i class="'. $icon .'"></i>';
	
	$out = '<a class="st-button '. $size .' '. $color .'" href="'. $url .'">'. $attstoclass .'<span>'. strip_tags($content) .'</span></a>';
	return $out;
}
add_shortcode('button', 'slicetheme_button');


/*******************************************************************
Read More
********************************************************************/
function slicetheme_readmore($atts, $content = null, $code = '')
{	
	extract(shortcode_atts(array(
		'page_id' => '0',
		'url' => '#'
	), $atts));
	
	$more_url = ( intval($page_id) > 0 ) ? get_permalink($page_id) : $url;
	
	$out = '<a class="more-link" href="'. $more_url .'">'. strip_tags($content) .'</a>';
	return $out;
}
add_shortcode('readmore', 'slicetheme_readmore');


/*******************************************************************
Lighbox
********************************************************************/
function slicetheme_lightbox($atts, $content = null)
{
	extract(shortcode_atts(array(
		'title' => '',
		'url' => '#',
		'thumbnail' => '#'
	), $atts));

	$out = '<a href="'. $url .'" title="'. $title .'" rel="prettyPhoto"><img src="'. $thumbnail .'" alt="" /></a>';
	return $out;
}
add_shortcode('lightbox', 'slicetheme_lightbox');


/*******************************************************************
Video
********************************************************************/
function slicetheme_videos($atts, $content = null, $code = '')
{
	extract(shortcode_atts(array(
		'id' => ''
	), $atts));
	
	if ( empty($id) ) return;
	
	$out = '';
	if ( $code == 'youtube' ) {
		$out.= '<div class="st-video">';
		$out.= '<iframe src="http://www.youtube.com/embed/'. $id .'?version=3&rel=1&fs=1&showsearch=0&showinfo=1&iv_load_policy=1&wmode=transparent" frameborder="0" allowfullscreen></iframe>';
		$out.= '</div>';
	}
	elseif ( $code == 'vimeo' ) {
		$out.= '<div class="st-video">';
		$out.= '<iframe src="http://player.vimeo.com/video/'. $id .'?title=0&byline=0&portrait=0" frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>';
		$out.= '</div>';
	}
	return $out;
}
add_shortcode('youtube', 'slicetheme_videos');
add_shortcode('vimeo', 'slicetheme_videos');


/*******************************************************************
Flex Slider
********************************************************************/	
function slicetheme_flexslider($atts, $content = null, $code = '')
{	
	extract(shortcode_atts(array(
		'animation' => 'slide'
	), $atts));
	
	if (!preg_match_all("/(.?)\[(item)\b(.*?)(?:(\/))?\](?:(.+?)\[\/item\])?(.?)/s", $content, $matches)) {
		return do_shortcode($content);
	}
	else
	{
		for ($i = 0; $i < count($matches[0]); $i++) {
			$matches[3][$i] = shortcode_parse_atts($matches[3][$i]);
		}
		
		$out = '<div class="st-flexslider">';
			$out.= '<div class="flexslider flex-'. $animation .'">';
				$out.= '<ul class="slides">';
				for ($i = 0; $i < count($matches[0]); $i++) {
					$out.= '<li>';
						$out.= '<img src="'. $matches[3][$i]['src'] .'" alt="" />';
						$out.= ( isset($matches[3][$i]['caption']) && $matches[3][$i]['caption'] <> '' ) ? '<div class="flex-caption">'. $matches[3][$i]['caption'] .'</div>' : '';
					$out.= '</li>';
				}
				$out.= '</ul>';			
			$out.= '</div>';
		$out.= '</div>';
		
		return $out;
	}
}
add_shortcode('flexslider', 'slicetheme_flexslider');


/*******************************************************************
Tabs
********************************************************************/	
function slicetheme_tabs($atts, $content = null)
{	
	if (!preg_match_all("/(.?)\[(item)\b(.*?)(?:(\/))?\](?:(.+?)\[\/item\])?(.?)/s", $content, $matches)) {
		return do_shortcode($content);
	}
	else
	{
		for ($i = 0; $i < count($matches[0]); $i++) {
			$matches[3][$i] = shortcode_parse_atts($matches[3][$i]);
		}
		
		$out = '<div class="st-tabs">';		
			$out.= '<ul class="tab-title unstyled">';
			for ($i = 0; $i < count($matches[0]); $i++) {
				$attstoclass = !empty($matches[3][$i]['icon']) ? '<i class="'. $matches[3][$i]['icon'] .'"></i> ' : '';
				$out.= '<li><a href="#tab-'. $i .'">'. $attstoclass . $matches[3][$i]['title'] .'</a></li>';
			}
			$out.= '</ul>';		
			$out.= '<div class="tab-container">';
			for ($i = 0; $i < count($matches[0]); $i++) {
				$out.= '<div id="tab-'. $i .'" class="tab-content">'. wpautop( do_shortcode(trim($matches[5][$i])) ) .'</div>';
			}
			$out.= '</div>';
		$out.= '</div>';
		return $out;
	}
}
add_shortcode('tabs', 'slicetheme_tabs');


/*******************************************************************
Toggle
********************************************************************/
function slicetheme_toggle($atts, $content = null)
{	
	extract(shortcode_atts(array(
		'title' => '',
		'keep_open' => ''
	), $atts));
	
	$attstoclass = ( $keep_open == 'true' ) ? 'open' : '';
	
	$out = '<div class="st-accordion toggle">';
		$out.= '<div class="accordion-title"><i class="accordion-icon"></i>'. $title .'</div>';
		$out.= '<div class="accordion-content '. $attstoclass .'">'. wpautop( do_shortcode($content) ) .'</div>';
	$out.= '</div>';	
	return $out;
}
add_shortcode('toggle', 'slicetheme_toggle');


/*******************************************************************
Accordion
********************************************************************/
function slicetheme_accordion($atts, $content = null)
{	
	extract(shortcode_atts(array(
		'first_open' => ''
	), $atts));
		
	$attstoclass = ( $first_open == 'true' ) ? 'open' : '';
	
	if (!preg_match_all("/(.?)\[(item)\b(.*?)(?:(\/))?\](?:(.+?)\[\/item\])?(.?)/s", $content, $matches)) {
		return do_shortcode($content);
	}
	else
	{
		for ($i = 0; $i < count($matches[0]); $i++) {
			$matches[3][$i] = shortcode_parse_atts($matches[3][$i]);
		}
		
		$out = '<div class="st-accordion">';
			$out.= '<ul class="unstyled">';
			for ($i = 0; $i < count($matches[0]); $i++) {
				$first_open = ($i == 0) ? $attstoclass : '';
				$out.= '<li>';
					$out.= '<div class="accordion-title"><i class="accordion-icon"></i>'. $matches[3][$i]['title'] .'</div>';
					$out.= '<div class="accordion-content '. $first_open .'">'. wpautop( do_shortcode(trim($matches[5][$i])) ) .'</div>';
				$out.= '</li>';
			}
			$out.= '</ul>';		
		$out.= '</div>';		
		return $out;
	}
}
add_shortcode('accordion', 'slicetheme_accordion');


/*******************************************************************
Icon
********************************************************************/	
function slicetheme_icon($atts, $content = null)
{	
	extract(shortcode_atts(array(
		'name' => '',
		'size' => '',
		'type' => '',
	), $atts));
	
	$out = '<i class="st-icon '. $name .' '. $size .' '. $type .'"></i>';
	return $out;
}
add_shortcode('icon', 'slicetheme_icon');


/*******************************************************************
Icon List
********************************************************************/	
function slicetheme_iconlist($atts, $content = null)
{	
	extract(shortcode_atts(array(
		'icon' => 'icon-ok'
	), $atts));
	
	if (!preg_match_all("/(.?)\[(li)\b(.*?)(?:(\/))?\](?:(.+?)\[\/li\])?(.?)/s", $content, $matches)) {
		return do_shortcode($content);
	}
	else
	{
		for ($i = 0; $i < count($matches[0]); $i++) {
			$matches[3][$i] = shortcode_parse_atts($matches[3][$i]);
		}
		
		$out = '<ul class="st-iconlist icons-ul">';
		for ($i = 0; $i < count($matches[0]); $i++) {			
		
			$attstoclass = '';
			if ( !empty($icon) ) $attstoclass = '<i class="icon-li '. $icon .'"></i>';
			if ( !empty($matches[3][$i]['icon']) ) $attstoclass = '<i class="icon-li '. $matches[3][$i]['icon'] .'"></i>';
			
			$out.= '<li>'. $attstoclass . trim($matches[5][$i]) .'</li>';
		}
		$out.= '</ul>';		
		return $out;
	}
}
add_shortcode('icon_list', 'slicetheme_iconlist');


/*******************************************************************
History List
********************************************************************/	
function slicetheme_historylist($atts, $content = null)
{	
	extract(shortcode_atts(array(
		'align' => 'left'
	), $atts));
	
	$attstoclass = '';
	if ( $align == 'left' || $align == 'right' ) $attstoclass = 'text-'. $align;
	
	if (!preg_match_all("/(.?)\[(item)\b(.*?)(?:(\/))?\](?:(.+?)\[\/item\])?(.?)/s", $content, $matches)) {
		return do_shortcode($content);
	}
	else
	{
		for ($i = 0; $i < count($matches[0]); $i++) {
			$matches[3][$i] = shortcode_parse_atts($matches[3][$i]);
		}
		
		$last_number = count($matches[0]) - 1;
		
		$out = '<ul class="st-historylist history-'. $align .' unstyled">';
		for ($i = 0; $i < count($matches[0]); $i++) {
			
			$attstoicon = '';
			if ( !empty($matches[3][$i]['icon']) ) $attstoicon = '<i class="'. $matches[3][$i]['icon'] .'"></i>';
			if ( !empty($matches[3][$i]['src']) ) $attstoicon = '<span>'.'<img src="'. $matches[3][$i]['src'] .'" alt="" />'.'</span>';
			if ( !empty($matches[3][$i]['number']) ) $attstoicon = '<i>'. $matches[3][$i]['number'] .'</i>';
			
			$out.= '<li>';
				$out.= '<div class="history-icon st-animated small-to-large">'. $attstoicon .'</div>';
				$out.= '<div class="history-content '. $attstoclass .'">';
					$out.= '<h4 class="history-title">'. $matches[3][$i]['title'] .'</h4>';
					$out.= wpautop( do_shortcode(trim($matches[5][$i])) );
				$out.= '</div>';
				if ( $i <> $last_number ) $out.= '<div class="history-timeline"></div>';
			$out.= '</li>';
		}
		$out.= '</ul>';		
		return $out;
	}
}
add_shortcode('history_list', 'slicetheme_historylist');


/*******************************************************************
Message Box
********************************************************************/
function slicetheme_messagebox($atts, $content = null)
{	
	extract(shortcode_atts(array(
		'style' => 'success'
	), $atts));
	
	$icon = 'icon-ok-sign';
	if ( $style == 'warning' ) $icon = 'icon-exclamation-sign';
	if ( $style == 'error' ) $icon = 'icon-warning-sign';
	if ( $style == 'info' ) $icon = 'icon-info-sign';
	
	$out = '<div class="st-message '. $style .'">';
		$out.= '<a href="#" class="close" data-dismiss="alert">&times;</a>';
		$out.= '<i class="'. $icon .'"></i>';
		$out.= '<p>'.$content.'</p>';
	$out.= '</div>';
	return $out;
}
add_shortcode('message_box', 'slicetheme_messagebox');


/*******************************************************************
/* #CTA Box
********************************************************************/
function slicetheme_ctabox($atts, $content = null)
{	
	extract(shortcode_atts(array(
		'title' => '',
		'btn_label' => '',
		'btn_url' => ''
	), $atts));
	
	$out = '<div class="st-ctabox">';
		$out.= '<div class="ctabox-button"><a class="ctabox-button" href="'. $btn_url .'">'. $btn_label .'</a></div>';
		$out.= '<div class="ctabox-content">';
			$out.= '<h2>'. $title .'</h2>';
			$out.= wpautop($content);
		$out.= '</div>';
	$out.= '</div>';
	return $out;
}
add_shortcode('cta_box', 'slicetheme_ctabox');


/*******************************************************************
Icon Box
********************************************************************/
function slicetheme_iconbox($atts, $content = null)
{	
	extract(shortcode_atts(array(
		'position' => 'left',
		'title' => '',
		'icon' => '',
		'src' => ''
	), $atts));
	
	$iconbox = ( trim($src) <> '' ) ? '<img src="'. $src .'" alt="" />' : '<i class="'. $icon .'"></i>';
	
	$out = '<div class="st-iconbox iconbox-'. $position .'">';
		$out.= '<div class="iconbox-icon st-animated small-to-large">'. $iconbox .'</div>';
		$out.= '<div class="iconbox-content">';
			$out.= '<h4>'. $title .'</h4>';
			$out.= wpautop( do_shortcode($content) );
		$out.= '</div>';
		$out.= '<div class="clearfix"></div>';
	$out.= '</div>';	
	return $out;
}
add_shortcode('icon_box', 'slicetheme_iconbox');


/*******************************************************************
Social
********************************************************************/
function slicetheme_social($atts, $content = null)
{	
	$args = array('facebook' => 'Facebook', 'google' => 'Google+', 'twitter' => 'Twitter', 'youtube' => 'Youtube', 'flickr' => 'Flickr', 
				  'instagram' => 'Instagram', 'dribbble' => 'Dribbble', 'linkedin' => 'LinkedIn', 'pinterest' => 'Pinterest');
	
	if (!preg_match_all("/(.?)\[(item)\b(.*?)(?:(\/))?\](?:(.+?)\[\/item\])?(.?)/s", $content, $matches)) {
		return do_shortcode($content);
	}
	else
	{
		for ($i = 0; $i < count($matches[0]); $i++) {
			$matches[3][$i] = shortcode_parse_atts($matches[3][$i]);
		}
		
		$out = '<div class="st-social">';
			$out.= '<ul class="inline">';
			for ($i = 0; $i < count($matches[0]); $i++) {
				$type = strtolower($matches[3][$i]['type']);
				$keys = array_keys($args);
				if ( in_array($type, $keys) ) {
					$out.= '<li><a class="social-'. $type .'" href="'. $matches[3][$i]['url'] .'" title="'. $args[$type] .'" target="_blank"></a></li>';
				}
			}
			$out.= '</ul>';		
		$out.= '</div>';		
		return $out;
	}
}
add_shortcode('social', 'slicetheme_social');


/*******************************************************************
Progress Bar
********************************************************************/
function slicetheme_progressbar($atts, $content = null)
{	
	if (!preg_match_all("/(.?)\[(item)\b(.*?)(?:(\/))?\](?:(.+?)\[\/item\])?(.?)/s", $content, $matches)) {
		return do_shortcode($content);
	}
	else
	{
		for ($i = 0; $i < count($matches[0]); $i++) {
			$matches[3][$i] = shortcode_parse_atts($matches[3][$i]);
		}
		
		$out = '<div class="st-progress">';
		for ($i = 0; $i < count($matches[0]); $i++) {
	
			$width = ( $matches[3][$i]['width'] > 100 ) ? 100 : $matches[3][$i]['width'];
			$color = !empty($matches[3][$i]['color']) ? 'color-'.$matches[3][$i]['color'] : '';
			$attstostyle = '';
			
			$out.= '<span class="pull-left">'. $width .'<cite>%</cite></span>';
			$out.= '<div class="progress-content">';
				$out.= '<div class="progress-name">'. $matches[3][$i]['name'] .'</div>';
				$out.= '<div class="progress">';
					$out.= '<div class="bar '. $color .'" data-width="'. $width .'"></div>';
				$out.= '</div>';
			$out.= '</div>';
		}		
		$out.= '</div>';		
		return $out;
	}
}
add_shortcode('progress_bar', 'slicetheme_progressbar');


/*******************************************************************
Blog
********************************************************************/
function slicetheme_blog($atts, $content = null)
{
	global $st_imgsize;
	
	extract(shortcode_atts(array(
		'category' => '',
		'column' => '4',
		'item_number' => '4'
	), $atts));
	
	$column = ( $column > 4 ) ? 4 : $column;
	$span = array(1 => 'span12', 2 => 'span6', 3 => 'span4', 4 => 'span3');
	$columntospan = $span[$column];
	
	if ( !empty($category) ) {
		$loop = new WP_Query('cat='.$category.'&posts_per_page='.$item_number);
	}
	else {
		$loop = new WP_Query('&posts_per_page='.$item_number);
	}
	
	ob_start();
	
	if ($loop->have_posts()) :
	?>
	
	<div class="st-blog">    
		<div class="row-fluid">
		<?php $i = 0; while ($loop->have_posts()) : $loop->the_post(); if ($i > 0 && ($i % $column == 0)) echo '</div><div class="row-fluid">'; ?>
            <div class="<?php echo $columntospan; ?>">
				<div class="blog-container st-animated fade-in">
					<?php
					switch ( get_post_format() ):
						case 'gallery':				
							$post_content = get_the_content();
							preg_match('/\[gallery.*ids=.(.*).\]/', $post_content, $ids);
							$array_id = explode(",", $ids[1]);
							
							$args = array('include'			=> $array_id, 
										  'post_status'		=> 'inherit', 
										  'post_type'		=> 'attachment', 
										  'post_mime_type'	=> 'image', 
										  'order'			=> 'ASC', 
										  'orderby'			=> 'menu_order ID');
							$attachments = array_values( get_posts($args) );
							if ( is_array($attachments) ) {
								echo '<div class="flexslider post-slider">';
									echo '<ul class="slides">';
										foreach ( $attachments as $k => $attachment ) { $image = wp_get_attachment_image_src($attachment->ID, 'full');
											echo '<li>'; slicetheme_resizer($image[0], $st_imgsize['blog-sc']['w'], $st_imgsize['blog-sc']['h']); echo '</li>';
										}
									echo '</ul>';
								echo '</div>';
							}
						break;
						case 'video':
							$blog_video = get_post_meta(get_the_ID(), '_blog_video', TRUE);
							$blog_video_embed = get_post_meta(get_the_ID(), '_blog_video_embed', TRUE);
							if ( !empty($blog_video) || !empty($blog_video_embed) ) {
								echo '<div class="post-media">';
								if ( !empty($blog_video) ) {
									slicetheme_video($blog_video);
								}
								elseif ( !empty($blog_video_embed) ) {
									echo $blog_video_embed;
								}
								echo '</div>';
							}
						break;
						case 'audio':
							$blog_audio = array(
											'url' => get_post_meta(get_the_ID(), '_blog_audio', TRUE),
											'iframe' => 'true',
											'width' => '100%',
											'height' => 166,
											'auto_play' => 'true',
											'show_comments' => 'true',
											'color' => 'ff7700',
											'theme_color' => 'ff6699',
											);
							if ( !empty($blog_audio) ) {
								echo '<div class="post-media">';
								echo '<div class="st-soundcloud"><iframe width="100%" height="166" scrolling="no" src="http://w.soundcloud.com/player?'. http_build_query($blog_audio) .'"></iframe></div>';
								echo '</div>';
							}
						break;
						case 'quote':
						case 'standar':
						default:
							if ( current_theme_supports('post-thumbnails') && has_post_thumbnail() ) {
								$thumbURL = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), '');
								$thumbURL = $thumbURL[0];
								echo '<div class="post-thumb">';
									echo '<a class="zoom" href="'. get_permalink() .'" title="'. get_the_title() .'">';
										slicetheme_resizer($thumbURL, $st_imgsize['blog-sc']['w'], $st_imgsize['blog-sc']['h']);
										echo '<span class="zoom-overlay"></span>';
										echo '<span class="zoom-hover"></span>';
									echo '</a>';
								echo '</div>';
							}
						break;
					endswitch;
                    ?>
					<div class="blog-inner">
						<h4 class="post-title"><a href="<?php echo get_permalink(); ?>" title="<?php echo get_the_title(); ?>"><?php echo get_the_title(); ?></a></h4>
                    	<div class="post-meta">
                            <span class="post-date"><?php echo get_the_time('M j, Y'); ?></span>
                        </div>
						<div class="post-excerpt">
							<?php echo slicetheme_excerpt(15); ?>
						</div>
					</div>
				</div>
			</div>
        <?php $i++; endwhile; ?>
        </div>		
	</div>
	
	<?php
	wp_reset_postdata();
	endif;
	
	$out = ob_get_contents();
	ob_end_clean();
	
	return $out;
}
add_shortcode('blog', 'slicetheme_blog');


/*******************************************************************
Portfolio
********************************************************************/
function slicetheme_portfolio($atts, $content = null, $code = '')
{
	global $post, $st_imgsize;
	
	extract(shortcode_atts(array(
		'post_not_in' => '',
		'category' => '',
		'column' => '4',
		'item_number' => '4'
	), $atts));
	
	$column = ( $column > 4 ) ? 4 : $column;
	$span = array(1 => 'span12', 2 => 'span6', 3 => 'span4', 4 => 'span3');
	$columntospan = $span[$column];
	
	if ( !empty($category) ) {
		$args = array(
			'post_type' => 'portfolio',
			'posts_per_page' => $item_number,
			'tax_query' => array(
				array(
					'taxonomy' => 'portfolio-category',
					'field' => 'id',
					'terms' => $category
				)
			)
		);
		$loop = new WP_Query($args);
	}
	else {
		$loop = new WP_Query('post_type=portfolio&posts_per_page='.$item_number);
	}
	
	if ( $code == 'portfolio_latest' ) {
		$args = array(
			'post_type' => 'portfolio',
			'post__not_in' => array($post_not_in),
			'posts_per_page' => 4
		);
		$loop = new WP_Query($args);
	}
	
	ob_start();
	
	if ($loop->have_posts()) :
	?>
	
	<div class="st-portfolio">    
		<div class="row-fluid">
		<?php $i = 0; while ($loop->have_posts()) : $loop->the_post(); 
                $portfolio_lightbox = get_post_meta(get_the_ID(), '_portfolio_lightbox', TRUE);
                $portfolio_type = get_post_meta(get_the_ID(), '_portfolio_type', TRUE);
                $portfolio_image = get_post_meta(get_the_ID(), '_portfolio_image', TRUE);
                $portfolio_video = get_post_meta(get_the_ID(), '_portfolio_video', TRUE);
                $portfolio_video_thumb = get_post_meta(get_the_ID(), '_portfolio_video_thumb', TRUE);
                $portfolio_slider = get_post_meta(get_the_ID(), '_portfolio_slider', TRUE);
                
                $prettyPhoto = ( $portfolio_lightbox == 1 ) ? 'rel="prettyPhoto"' : '';
				
				if ($i > 0 && ($i % $column == 0)) echo '</div><div class="row-fluid">';
            ?>
            <div class="<?php echo $columntospan; ?>">
				<div class="portfolio-container st-animated fade-in">
					<?php
					switch ($portfolio_type):
						case 'image':
							if ( !empty($portfolio_image) ) {
							$work_url = ( $portfolio_lightbox == 1 ) ? $portfolio_image : get_permalink();
							$work_hover = ( $portfolio_lightbox == 1 ) ? 'image' : '';
							echo '<div class="post-thumb">';
								echo '<a class="zoom" href="'. $work_url .'" title="'. get_the_title() .'" '. $prettyPhoto .'>';
									slicetheme_resizer($portfolio_image, $st_imgsize['work-sc']['w'], $st_imgsize['work-sc']['h']);
									echo '<span class="zoom-overlay"></span>';
									echo '<span class="zoom-hover '. $work_hover .'"><i class="icon-camera"></i></span>';
								echo '</a>';
							echo '</div>';
							}
						break;
						case 'video':
							if ( !empty($portfolio_video_thumb) ) {
							$work_url = ( $portfolio_lightbox == 1 ) ? $portfolio_video : get_permalink();
							$work_hover = ( $portfolio_lightbox == 1 ) ? 'video' : '';
							echo '<div class="post-thumb">';
								echo '<a class="zoom" href="'. $work_url .'" title="'. get_the_title() .'" '. $prettyPhoto .'>';
									slicetheme_resizer($portfolio_video_thumb, $st_imgsize['work-sc']['w'], $st_imgsize['work-sc']['h']);
									echo '<span class="zoom-overlay"></span>';
									echo '<span class="zoom-hover '. $work_hover .'"><i class="icon-facetime-video"></i></span>';
								echo '</a>';
							echo '</div>';
							}
						break;
						case 'slider':
							if ( !empty($portfolio_slider) ) {
							$work_url = ( $portfolio_lightbox == 1 ) ? $portfolio_slider[0] : get_permalink();
							$work_hover = ( $portfolio_lightbox == 1 ) ? 'image' : '';
							echo '<div class="post-thumb">';
								echo '<a class="zoom" href="'. $work_url .'" title="'. get_the_title() .'" '. $prettyPhoto .'>';
									slicetheme_resizer($portfolio_slider[0], $st_imgsize['work-sc']['w'], $st_imgsize['work-sc']['h']);
									echo '<span class="zoom-overlay"></span>';
									echo '<span class="zoom-hover '. $work_hover .'"><i class="icon-bolt"></i></span>';
								echo '</a>';
							echo '</div>';
							}
						break;
					endswitch;
					?>
					<div class="portfolio-inner">			
                        <h4 class="post-title"><a href="<?php echo get_permalink(); ?>" title="<?php echo get_the_title(); ?>"><?php echo get_the_title(); ?></a></h4>
                        <div class="post-category"><?php echo get_the_term_list(get_the_ID(), 'portfolio-category', '', ' , ', ''); ?></div>
					</div>
				</div>
			</div>
        <?php $i++; endwhile; ?>
        </div>		
	</div>
	
	<?php
	wp_reset_postdata();
	endif;
	
	$out = ob_get_contents();
	ob_end_clean();
	
	return $out;
}
add_shortcode('portfolio', 'slicetheme_portfolio');
add_shortcode('portfolio_latest', 'slicetheme_portfolio');


/*******************************************************************
Team
********************************************************************/
function slicetheme_team($atts, $content = null, $code = '')
{	
	extract(shortcode_atts(array(
		'category' => '',
		'column' => '4',
		'item_number' => '4'
	), $atts));
	
	$column = ( $column > 4 ) ? 4 : $column;
	$span = array(1 => 'span12', 2 => 'span6', 3 => 'span4', 4 => 'span3');
	$columntospan = $span[$column];
	
	if ( !empty($category) ) {
		$args = array(
			'post_type' => 'team',
			'orderby' => 'menu_order',
			'order' => 'ASC',
			'posts_per_page' => $item_number,
			'tax_query' => array(
				array(
					'taxonomy' => 'team-category',
					'field' => 'id',
					'terms' => $category
				)
			)
		);
		$loop = new WP_Query($args);
	}
	else {
		$loop = new WP_Query('post_type=team&orderby=menu_order&order=ASC&posts_per_page='.$item_number);
	}
	
	$out = '';	
	if ($loop->have_posts()) :		
		$out.= '<div class="st-team">';
			$out.= '<div class="row-fluid">';
				$i = 0; while ($loop->have_posts()) : $loop->the_post();
					$team_position = get_post_meta(get_the_ID(), '_team_position', TRUE);
					$team_socials = array();
					$args = array('email' => 'Email', 'facebook' => 'Facebook', 'google' => 'Google+', 'twitter' => 'Twitter', 'linkedin' => 'LinkedIn', 'dribbble' => 'Dribbble');
					$team_socials['email'] = get_post_meta(get_the_ID(), '_team_email', TRUE);
					$team_socials['facebook'] = get_post_meta(get_the_ID(), '_team_facebook', TRUE);
					$team_socials['twitter'] = get_post_meta(get_the_ID(), '_team_twitter', TRUE);
					$team_socials['google'] = get_post_meta(get_the_ID(), '_team_google', TRUE);
					$team_socials['linkedin'] = get_post_meta(get_the_ID(), '_team_linkedin', TRUE);
					$team_socials['dribbble'] = get_post_meta(get_the_ID(), '_team_dribbble', TRUE);
					if ($i > 0 && ($i % $column == 0)) $out.= '</div><div class="row-fluid">';
					$out.= '<div class="'. $columntospan .'">';
						$out.= '<div class="team-container">';
							$out.= '<div class="team-photo">';
								$out.= slicetheme_thumbnail('team'); 
								if ( is_array($team_socials) && count($team_socials) > 0 ) {
									$out.= '<ul class="st-social inline">';
										foreach ( $team_socials as $key => $val ) {
											$mailto = ( $key == 'email' ) ? 'mailto:' : '';
											if ( !empty($val) )	$out.= '<li><a class="social-'. $key .'" href="'. $mailto . $val .'" title="'. $args[$key] .'"></a></li>';
										}
									$out.= '</ul>';
								}
							$out.= '</div>';
							$out.= '<div class="team-meta">';
								$out.= '<h4>'. get_the_title() .'</h4>';
								$out.= '<span class="team-position">'. $team_position .'</span>';
							$out.= '</div>';
							$out.= '<div class="team-content">'. wpautop(get_the_excerpt()) .'</div>';
						$out.= '</div>';
					$out.= '</div>';
				$i++; endwhile;
			$out.= '</div>';
		$out.= '</div>';		
	wp_reset_postdata();
	endif;
	return $out;
}
add_shortcode('team', 'slicetheme_team');


/*******************************************************************
Jobs
********************************************************************/
function slicetheme_job($atts, $content = null)
{
	extract(shortcode_atts(array(
		'item_number' => '100'
	), $atts));
	
	$loop = new WP_Query('post_type=job&orderby=menu_order&order=ASC&posts_per_page='.$item_number);
	
	$out = '';	
	if ($loop->have_posts()) :
		$out.= '<div class="st-job">';
		$i = 0; while ($loop->have_posts()) : $loop->the_post();
			$keep_open = ($i == 0) ? 'true' : '';
			$out.= slicetheme_toggle(array('title' => get_the_title(), 'keep_open' => $keep_open), get_the_content());
		$i++; endwhile;
		$out.= '</div>';
	wp_reset_postdata();
	endif;
	return $out;
}
add_shortcode('job', 'slicetheme_job');


/*******************************************************************
Testimonial
********************************************************************/
function slicetheme_testimonial($atts, $content = null, $code = '')
{	
	extract(shortcode_atts(array(
		'animation' => 'fade',
		'column' => '2',
		'item_number' => '100'
	), $atts));
	
	$column = ( $column > 2 ) ? 2 : $column;
	$span = array(1 => 'span12', 2 => 'span6');
	$columntospan = $span[$column];

	$loop = new WP_Query('post_type=testimonial&orderby=menu_order&order=ASC&posts_per_page='.$item_number);
	
	$out = '';
	
	if ($loop->have_posts()) :
	
	if ( $code == 'testimonial' ) {
		$out.= '<div class="st-testimonial">';
			$out.= '<div class="row-fluid">';
				$i = 0; while ($loop->have_posts()) : $loop->the_post();
					$testimonial_position = get_post_meta(get_the_ID(), '_testimonial_position', TRUE);
					if ($i > 0 && ($i % $column == 0)) $out.= '</div><div class="row-fluid">';
					$out.= '<div class="'. $columntospan .'">';
						$out.= '<div class="testimonial-container">';
							$out.= '<div class="testimonial-photo st-animated fade-in">'. slicetheme_thumbnail('testimonial') .'</div>';
							$out.= '<div class="testimonial-content">';
								$out.= wpautop(get_the_excerpt());
								$out.= '<div class="testimonial-meta">';
									$out.= '<strong class="testimonial-author">'. get_the_title() .'</strong>';
									$out.= '<span class="testimonial-position">'. $testimonial_position .'</span>';
								$out.= '</div>';
							$out.= '</div>';
						$out.= '</div>';
					$out.= '</div>';
				$i++; endwhile;
			$out.= '</div>';
		$out.= '</div>';
	}
	else {
		$out = '<div class="st-testimonial-slider">';
			$out.= '<div class="flexslider testimonial-'. $animation .'">';	
				$out.= '<ul class="slides">';
				while ($loop->have_posts()) : $loop->the_post();
					$testimonial_position = get_post_meta(get_the_ID(), '_testimonial_position', TRUE);
					$out.= '<li>';
						$out.= '<div class="testimonial-container">';
							$out.= '<div class="testimonial-photo">'. slicetheme_thumbnail('testimonial') .'</div>';
							$out.= '<div class="testimonial-content">'. wpautop(get_the_excerpt());
								$out.= '<div class="testimonial-meta">';
									$out.= '<strong class="testimonial-author">'. get_the_title() .' </strong>';
									$out.= '<span class="testimonial-position">'. $testimonial_position .'</span>';
								$out.= '</div>';
							$out.= '</div>';
						$out.= '</div>';
					$out.= '</li>';
				endwhile;
				$out.= '</ul>';		
			$out.= '</div>';
		$out.= '</div>';
	}
	
	wp_reset_postdata();
	endif;
	
	return $out;
}
add_shortcode('testimonial', 'slicetheme_testimonial');
add_shortcode('testimonial_slider', 'slicetheme_testimonial');


/*******************************************************************
Client
********************************************************************/
function slicetheme_client($atts, $content = null)
{	
	extract(shortcode_atts(array(
		'item_number' => '100'
	), $atts));
	
	$loop = new WP_Query('post_type=client&orderby=menu_order&order=ASC&posts_per_page='.$item_number);
	
	$out = '';	
	if ($loop->have_posts()) :
		$out.= '<div class="st-client">';
			$out.= '<ul class="inline">';
				while ($loop->have_posts()) : $loop->the_post();
					$client_image = get_post_meta(get_the_ID(), '_client_image', TRUE);
					$client_url = get_post_meta(get_the_ID(), '_client_url', TRUE);
					if ( $client_url <> '' ) {
						$out.= '<li class="st-animated move-to-right"><span><a href="'. $client_url .'" title="'. get_the_title() .'" target="_blank">'. slicetheme_thumbnail('client') .'</a></span></li>';
					}
					else {
						$out.= '<li class="st-animated move-to-right"><span><img src="'. $client_image .'" alt="'. get_the_title() .'" /></span></li>';
					}
				endwhile;
			$out.= '</ul>';
		$out.= '</div>';
	wp_reset_postdata();
	endif;
	return $out;
}
add_shortcode('client', 'slicetheme_client');


/*******************************************************************
FAQ
********************************************************************/
function slicetheme_faq($atts, $content = null)
{
	extract(shortcode_atts(array(
		'category' => '',
		'item_number' => '100'
	), $atts));
	
	if ( !empty($category) ) {
		$args = array(
			'post_type' => 'faq',
			'orderby' => 'menu_order',
			'order' => 'ASC',
			'posts_per_page' => $item_number,
			'tax_query' => array(
				array(
					'taxonomy' => 'faq-category',
					'field' => 'id',
					'terms' => $category
				)
			)
		);
		$loop = new WP_Query($args);
	}
	else {
		$loop = new WP_Query('post_type=faq&orderby=menu_order&order=ASC&posts_per_page='.$item_number);
	}
	
	$out = '';	
	if ($loop->have_posts()) :	
		$out.= '<div class="st-faq">';		
		while ($loop->have_posts()) : $loop->the_post();		
			$out.= slicetheme_toggle(array('title' => get_the_title()), get_the_content());
		endwhile;		
		$out.= '</div>';	
	wp_reset_postdata();
	endif;
	return $out;
}
add_shortcode('faq', 'slicetheme_faq');


/*******************************************************************
Pricing Table
********************************************************************/
function slicetheme_pricing($atts, $content = null)
{	
	extract(shortcode_atts(array(
		'category' => '',
		'item_number' => '4'
	), $atts));
	
	if ( !empty($category) ) {
		$args = array(
			'post_type' => 'pricing',
			'orderby' => 'menu_order',
			'order' => 'ASC',
			'posts_per_page' => $item_number,
			'tax_query' => array(
				array(
					'taxonomy' => 'pricing-category',
					'field' => 'id',
					'terms' => $category
				)
			)
		);
		$loop = new WP_Query($args);
	}
	else {
		$loop = new WP_Query('post_type=pricing&orderby=menu_order&order=ASC&posts_per_page='.$item_number);
	}
	
	$out = '';
	if ($loop->have_posts()) :
		$out.= '<div class="st-pricing c'. $item_number .'">';
		while ($loop->have_posts()) : $loop->the_post();
			
			$pricing_featured = get_post_meta(get_the_ID(), '_pricing_featured', TRUE);
			$pricing_cost = get_post_meta(get_the_ID(), '_pricing_cost', TRUE);
			$pricing_note = get_post_meta(get_the_ID(), '_pricing_note', TRUE);
			$pricing_btn_label = get_post_meta(get_the_ID(), '_pricing_btn_label', TRUE);
			$pricing_btn_link = get_post_meta(get_the_ID(), '_pricing_btn_link', TRUE);
			
			$featured = ( $pricing_featured == 1 ) ? 'featured' : '';
			
			$out.= '<div class="plan-container '. $featured .'">';
				$out.= '<div class="plan-package">';
					$out.= '<div class="plan-meta">';
						$out.= '<div class="plan-name">'. get_the_title() .'</div>';
						$out.= '<div class="plan-price st-animated small-to-large">'. $pricing_cost .'<span>'. $pricing_note .'</span></div>';
					$out.= '</div>';
					$out.= '<div class="plan-content">'. wpautop( do_shortcode(get_the_content()) ) .'</div>';
					$out.= '<div class="plan-link"><a href="'. $pricing_btn_link .'">'. $pricing_btn_label .'</a></div>';
				$out.= '</div>';
			$out.= '</div>';
		endwhile;
		$out.= '</div>';
	wp_reset_postdata();
	endif;
	return $out;
}
add_shortcode('pricing_table', 'slicetheme_pricing');


/*******************************************************************
Google Map
********************************************************************/	
function slicetheme_gmap($atts, $content = null)
{	
	extract(shortcode_atts(array(
		'height' => 400,
		'zoom' => 14,
		'address' => '',
		'infowindow' => '',
		'latitude' => '',
		'longitude' => ''
	), $atts));
	
	$rand = uniqid();
	
	wp_enqueue_script('jquery-gmap-api');
	wp_enqueue_script('jquery-gmap');
	
	ob_start();
	?>
	<div><script type="text/javascript">
	(function ($) {
		$(document).ready(function(){ 
			$("#gmap_<?php echo $rand; ?>").gMap({ 
			markers: [ 
				{ 
					<?php if ( trim($address) <> '' ) { ?>
					address: '<?php echo $address; ?>', 
					<?php } else { ?>
					<?php if ( trim($latitude) <> '' && trim($longitude) <> '' ) { ?>
					latitude: '<?php echo $latitude; ?>', 
					longitude: '<?php echo $longitude; ?>',
					<?php }} ?>
					html: '<?php echo str_replace(array("\r", "\n"), '<br />', $infowindow); ?>'
				} 
			], 
			zoom: <?php echo $zoom; ?>, 
			mapTypeControl: true, 
			zoomControl: true, 
			scrollwheel: true 
			});
		});
	})(jQuery);
	</script></div>
	<?php
	$output = ob_get_contents();
	ob_end_clean();	
	
	$out = $output;
	$out.= '<div class="st-gmap" id="gmap_'. $rand .'" style="max-width: 100%; height: '. $height .'px;"></div>';
	
	return $out;
}
add_shortcode('gmap', 'slicetheme_gmap');


/*******************************************************************
Contact Form
********************************************************************/
function slicetheme_contact($atts, $content = null)
{	
	extract(shortcode_atts(array(
		'email' => '',
		'recaptcha' => 'true'
	), $atts));
	
	$rand = uniqid();
	
	$send_to = ( trim($email) <> '' ) ? slicetheme_encrypt($email) : '';
	
	ob_start();	
	?>
	<div class="st-contact-form">
		<div><script type="text/javascript">
		jQuery(function($) {
			$('#contact_<?php echo $rand; ?>').submit(function () {
				$('#loading_contact_<?php echo $rand; ?>').fadeIn('fast');
				$('#result_contact_<?php echo $rand; ?>').hide();
				$.ajax({
					type: 'POST',
					url: $(this).attr('action'),
					data: $(this).serialize(),
					success: function (data) {
						$('#result_contact_<?php echo $rand; ?>').html(data);
						$('#result_contact_<?php echo $rand; ?>').fadeIn('fast');
						$('#loading_contact_<?php echo $rand; ?>').hide();
					}
				})
				return false;
			});
		});
		</script></div>
		<div id="result_contact_<?php echo $rand; ?>"></div>
		<div id="loading_contact_<?php echo $rand; ?>" style="margin-bottom: 20px; display: none;">
			<img src="<?php echo SLICETHEME_IMAGES; ?>/loader.gif" alt="" />
		</div>
		<div>
		<form id="contact_<?php echo $rand; ?>" method="post" action="<?php echo SLICETHEME_URL .'/scripts/contact.php'; ?>">
			<p>
				<label for="contact_name"><?php _e('Name', 'slicetheme'); ?></label><input type="text" class="span9" name="contact_name" id="contact_name" />
			</p>
			<p>
				<label for="contact_email"><?php _e('Email', 'slicetheme'); ?></label><input type="text" class="span9" name="contact_email" id="contact_email" />
			</p>
			<p>
				<label for="contact_subject"><?php _e('Subject', 'slicetheme'); ?></label><input type="text" class="span9" name="contact_subject" id="contact_subject" />
			</p>
			<p>
				<label for="contact_message"><?php _e('Message', 'slicetheme'); ?></label><textarea class="span12" name="contact_message" id="contact_message" rows="5"></textarea>
			</p>
			<?php if ( st_option('contact_recaptcha') == 1 && $recaptcha == 'true' ) { ?>
			<div style="margin-bottom: 10px;">
				<?php echo recaptcha_get_html( st_option('contact_publickey') ); ?>
			</div>
			<?php } ?>
			<p>
				<input type="submit" class="btn" name="submit" value="<?php _e('Send', 'slicetheme'); ?>" id="contact-submit" />
				<input type="hidden" name="recaptcha" value="<?php echo $recaptcha; ?>" />
				<input type="hidden" name="send_to" value="<?php echo $send_to; ?>" />
			</p>
		</form>
		</div>
	</div>
	<?php	
	$out = ob_get_contents();
	ob_end_clean();
	
	return $out;
}
add_shortcode('contact_form', 'slicetheme_contact');


/*******************************************************************
Pre
********************************************************************/
function slicetheme_pre($atts, $content = null)
{
	$out = '<pre>'. $content .'</pre>';
	return $out;
}
add_shortcode('pre', 'slicetheme_pre');


/*******************************************************************
Formatter
********************************************************************/
function slicetheme_fix_shortcodes($content)
{   
    // array of "slicetheme shortcode", not affect the other
	$block = join("|", array('row', 'one_half', 'one_third', 'two_third', 'one_fourth', 'three_fourth', 'heading', 'pre', 'gmap'));
	
	// opening tag
	$rep = preg_replace("/(<p>)?\[($block)(\s[^\]]+)?\](<\/p>|<br \/>)?/", "[$2$3]", $content);
	// closing tag
	$rep = preg_replace("/(<p>)?\[\/($block)](<\/p>|<br \/>)?/", "[/$2]", $rep);
	
	return $rep;
}

add_filter('the_content', 'slicetheme_fix_shortcodes');
add_filter('widget_text', 'slicetheme_fix_shortcodes');
add_filter('widget_text', 'do_shortcode');
