<?php

if ( !class_exists( 'Woocommerce') ) {
	return false;
}

/*******************************************************************
WooCommerce
********************************************************************/
define( 'WOOCOMMERCE_USE_CSS', false );

remove_action('woocommerce_before_main_content', 'woocommerce_breadcrumb', 20, 0);
remove_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5);
remove_action('woocommerce_before_main_content', 'woocommerce_output_content_wrapper', 10);
remove_action('woocommerce_after_main_content', 'woocommerce_output_content_wrapper_end', 10);
remove_action('woocommerce_sidebar', 'woocommerce_get_sidebar', 10);
remove_action('woocommerce_after_shop_loop', 'woocommerce_pagination', 10);


function slicetheme_woo_thumbs()
{
	update_option('shop_catalog_image_size', array('width' => 425, 'height' => 600, 'crop' => true));
	update_option('shop_single_image_size', array('width' => 425, 'height' => 600, 'crop' => true));
	update_option('shop_thumbnail_image_size', array('width' => 90, 'height' => 90, 'crop' => true));
}
add_action('after_setup_theme', 'slicetheme_woo_thumbs');


function slicetheme_woo_pagination()
{
    slicetheme_pagenav();
}
add_action('woocommerce_after_shop_loop', 'slicetheme_woo_pagination', 10);


function slicetheme_scripts_prettyPhoto()
{
	wp_dequeue_script( 'prettyPhoto' );
	wp_deregister_script( 'prettyPhoto' );
	wp_dequeue_script( 'prettyPhoto-init' );
	wp_deregister_script( 'prettyPhoto-init' );
}
add_action('wp_enqueue_scripts', 'slicetheme_scripts_prettyPhoto', 100);


function slicetheme_styles_prettyPhoto()
{
	wp_dequeue_style( 'woocommerce_prettyPhoto_css' );
	wp_deregister_style( 'woocommerce_prettyPhoto_css' );
}
add_action('wp_enqueue_scripts', 'slicetheme_styles_prettyPhoto', 100);


function slicetheme_woo_sidebar()
{
    return get_option('slicetheme_woo_sidebar', 'rb');
}


function slicetheme_woo_product_count()
{
    return get_option('slicetheme_woo_count', 12);
}
add_filter('loop_shop_per_page', 'slicetheme_woo_product_count', 20);


function slicetheme_woo_breadcrumb()
{
	return array(
		'delimiter'   => ' <span class="divider">/</span> ',
		'wrap_before' => '<ul class="breadcrumb visible-desktop">',
		'wrap_after'  => '</ul>',
		'before'      => '<li>',
		'after'       => '</li>',
		'home'        => _x('<i class="icon-home"></i>', 'breadcrumb', 'woocommerce' ),
		);
}
add_filter('woocommerce_breadcrumb_defaults', 'slicetheme_woo_breadcrumb');


function slicetheme_woo_general_settings_filter($options)
{  
	$remove = array('woocommerce_frontend_css', 'woocommerce_enable_lightbox');

	foreach ($options as $key => $option)
	{
		if( isset($option['id']) && in_array($option['id'], $remove) ) 
		{  
			unset($options[$key]); 
		}
	}

	return $options;
}
//add_filter('woocommerce_general_settings', 'slicetheme_woo_general_settings_filter');


function slicetheme_woo_general_settings($options)
{
	$options[] = array(
		'title' => 'Layout Settings',
        'type' => 'title',
        'desc' => 'Notice: These options are added by the <strong>'.THEMENAME.' Theme</strong> and wont appear on other themes.',
        'id'   => 'sidebar_options'
	);
	
	$options[] = array(
		'title' => 'Sidebar Position',
		'desc' => '',
		'id' => 'slicetheme_woo_sidebar',
		'css' => 'min-width:175px;',
		'desc_tip' => "This controls sidebar position should appear on overview pages.",
		'type' => 'select',
		'std' => 'rb',
		'default' => 'rb',
		'options' => array
			(
				'lb' => 'Left Sidebar',
				'rb' => 'Right Sidebar'
			)
	);
	
	$options[] = array(
		'title' => 'Display Per Page',
		'desc' => '',
		'id' => 'slicetheme_woo_count',
		'css' => 'min-width:175px;',
		'desc_tip' => 'This controls how many products should appear on overview pages.',
		'type' => 'text',
		'std' => '12',
		'default' => '12'
	);
	
	$options[] = array(        
		'type' => 'sectionend',
		'id' => 'sidebar_options'
	);
	
	return $options;
}
add_filter('woocommerce_general_settings', 'slicetheme_woo_general_settings');