<?php get_header(); ?>
	
<!-- main-container -->
<section id="main-wrapper" role="main">

	<div class="container">
	<div class="row">

		<?php
		$page_portfolio = get_post_meta($post->ID, '_page_portfolio', TRUE);
		$page_portfolio_cat = get_post_meta($post->ID, '_page_portfolio_cat', TRUE);
		$page_portfolio_num = get_post_meta($post->ID, '_page_portfolio_num', TRUE);
		$page_portfolio_filter = get_post_meta($post->ID, '_page_portfolio_filter', TRUE);
		$page_portfolio_gallery = get_post_meta($post->ID, '_page_portfolio_gallery', TRUE);
		
		global $portfolio_cfg, $st_imgsize;
		
		$portfolio_cfg['page_portfolio_gallery'] = $page_portfolio_gallery;
		
		switch ($page_portfolio):
			case 'fw_2':
				$portfolio_cfg['section_class']	= 'span6';
				$portfolio_cfg['thumb_width']	= $st_imgsize['work'][2]['w'];
				$portfolio_cfg['thumb_height']	= $st_imgsize['work'][2]['h'];
			break;
			case 'fw_3':
				$portfolio_cfg['section_class']	= 'span4';
				$portfolio_cfg['thumb_width']	= $st_imgsize['work'][3]['w'];
				$portfolio_cfg['thumb_height']	= $st_imgsize['work'][3]['h'];
			break;
			case 'fw_4':
			default:
				$portfolio_cfg['section_class']	= 'span3';
				$portfolio_cfg['thumb_width']	= $st_imgsize['work'][4]['w'];
				$portfolio_cfg['thumb_height']	= $st_imgsize['work'][4]['h'];
			break;
		endswitch;
		?>
		
		<div id="content-wrapper" class="span12 content-full">
		
			<?php if ( $page_portfolio_filter == 1 ) : ?>
			<div class="row-fluid">		
				
				<div class="span12">
				
					<ul id="filters" class="portfolio-filter unstyled">
						<li class="active"><a href="#" data-filter="*"><?php _e('All', 'slicetheme'); ?></a></li>
						<?php
						$categories = get_categories( array('taxonomy'	=> 'portfolio-category') );
						foreach($categories as $category)
						{
							if ( is_array($page_portfolio_cat) ) {
								if ( in_array($category->term_id, $page_portfolio_cat) ) {
									?>
									<li><a href="#" data-filter=".<?php echo $category->slug; ?>"><?php echo $category->cat_name; ?></a></li>
									<?php
								}
							}
							else {
								?>
								<li><a href="#" data-filter=".<?php echo $category->slug; ?>"><?php echo $category->cat_name; ?></a></li>
								<?php
							}
						}
						?>
					</ul>
							
				</div>		
						
			</div>
			<?php endif ?>		
			
			<?php
			$paged = get_query_var('paged') ? get_query_var('paged') : 1;
			if ( !empty($page_portfolio_cat) ) {
				$args = array(
					'post_type' => 'portfolio',
					'posts_per_page' => $page_portfolio_num,
					'tax_query' => array(
						array(
							'taxonomy' => 'portfolio-category',
							'field' => 'id',
							'terms' => $page_portfolio_cat
						)
					),
					'paged' => $paged
				);
				query_posts($args);
			}
			else {
				query_posts(array( 'post_type' => 'portfolio', 'showposts' => $page_portfolio_num, 'paged' => $paged ));
			}
			?>
			
			<div class="row">
			
				<div id="ourHolder">
					
					<?php get_template_part( 'library/includes/loop', 'portfolio' ); ?>
					
				</div>
				
			</div>
		
			<div class="row-fluid">
		
				<div class="span12">
				
					<?php slicetheme_pagenav(); ?>
					
				</div>
				
			</div>
				
			<?php wp_reset_query();?>
		   
		</div>
	
	</div>
	</div>

</section>
<!-- end main-container -->

<?php get_footer(); ?>