<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive.
 *
 * Override this template by copying it to yourtheme/woocommerce/archive-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

get_header('shop'); ?>

	<?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>
	
		<?php
		$shop_id = get_option( 'woocommerce_shop_page_id' );
		if ( is_shop() )
		{
			$general_slider = get_post_meta($shop_id, '_general_slider', TRUE);
			if ( !empty($general_slider) ) {				
				get_template_part( 'library/header/'.$general_slider );
			}
			
			$general_hidetitle = get_post_meta(@$shop_id, '_general_hidetitle', TRUE);
			if ( $general_hidetitle <> 'on' ) {
				get_template_part( 'library/header/header-woocommerce' );
			}
		}
		else {
			get_template_part( 'library/header/header-woocommerce' );
		}
		?>
	
	<?php endif; ?>

<!-- main-container -->
<section id="main-wrapper" role="main">

	<div class="container">
	<div class="row-fluid">

	<?php if ( slicetheme_woo_sidebar() == 'lb' ) { ?>
		<!-- sidebar left -->
		<aside id="sidebar-wrapper" class="span3 sidebar">
		
			<?php if (!function_exists('dynamic_sidebar') || !dynamic_sidebar( 'Shop' )) : ?><?php endif; ?>
		
		</aside>
		<!-- end sidebar left -->
	<?php }	?>
	
	<div id="content-wrapper" class="span9 content-part">
	<?php
		/**
		 * woocommerce_before_main_content hook
		 *
		 * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
		 * @hooked woocommerce_breadcrumb - 20
		 */
		do_action('woocommerce_before_main_content');
	?>

		

		<?php do_action( 'woocommerce_archive_description' ); ?>

		<?php if ( have_posts() ) : ?>

			<?php
				/**
				 * woocommerce_before_shop_loop hook
				 *
				 * @hooked woocommerce_result_count - 20
				 * @hooked woocommerce_catalog_ordering - 30
				 */
				do_action( 'woocommerce_before_shop_loop' );
			?>

			<?php woocommerce_product_loop_start(); ?>

				<?php woocommerce_product_subcategories(); ?>

				<?php while ( have_posts() ) : the_post(); ?>

					<?php woocommerce_get_template_part( 'content', 'product' ); ?>

				<?php endwhile; // end of the loop. ?>

			<?php woocommerce_product_loop_end(); ?>

			<?php
				/**
				 * woocommerce_after_shop_loop hook
				 *
				 * @hooked woocommerce_pagination - 10
				 */
				do_action( 'woocommerce_after_shop_loop' );
			?>

		<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>

			<?php woocommerce_get_template( 'loop/no-products-found.php' ); ?>

		<?php endif; ?>

	<?php
		/**
		 * woocommerce_after_main_content hook
		 *
		 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
		 */
		do_action('woocommerce_after_main_content');
	?>
	</div>
	
	<?php if ( slicetheme_woo_sidebar() == 'rb' ) { ?>
		<!-- sidebar right -->
		<aside id="sidebar-wrapper" class="span3 sidebar">
		
			<?php if (!function_exists('dynamic_sidebar') || !dynamic_sidebar( 'Shop' )) : ?><?php endif; ?>
		
		</aside>
		<!-- end sidebar right -->
	<?php }	?>

	</div>
	</div>

</section>
<!-- end main-container -->

<?php get_footer('shop'); ?>